List bank accounts [Deprecated]
Request
Response
API Endpoints
Sandbox Link
GET
https://sandbox.juspay.in/customers/{customer_id}/bank-accounts/list
Production Link
GET
https://api.juspay.in/customers/{customer_id}/bank-accounts/list
Authorization Header
Basic Auth
*
Base64 Encoded Username:Password
Mandatory
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
Headers
Content-Type
String
application/x-www-form-urlencoded
Path Params
customer_id
*
String
Mandatory
Customer Id
Example:- cst_weoridsfdkl
200 : Success
Response Body
object
string
list
count
integer
offset
integer
total
integer
list
Array of objects
object
String
id
String
customer_id
String
date_created
String
bank_name
String
ifsc
String
account_number
String
beneficiary_name
String
validation_amount
Integer
currency
String
validation_status
String
last_validated
String
metadata
Object
param1
String
param2
String
400 : Invalid Input data
Response Body
object
JSON
{}

